View Issue Details

IDProjectCategoryView StatusLast Update
16674Bug reports_ Unknownpublic2020-10-26 08:16
Reportermarcusx Assigned Toeddylackmann  
PrioritynoneSeverityminor 
Status closedResolutionfixed 
Product Version4.3.16 
Summary16674: Array Type:F: Column width falsely calculated
Description

When having many subquestions, the cell width becomes very small. I digged into it and found that in

\limesurvey4.3.16+200915\limesurvey\application\core\QuestionTypes\ArrayFlexibleRow\RenderArrayFlexibleRow.php

Row 93:
$this->cellwidth = round(($this->columnswidth / $this->getQuestionCount()), 1);

should be replaced with
$this->cellwidth = round(($this->columnswidth / $this->getAnswerCount()), 1);

Cell width is determined by AnswerCount, not by QuestionCount.

(Big5 Personality with 44 Subquestions lead to a width of 1.5% even though there are only five answer options. Not readable.)

Additional Information

It occured to me often before, that the distribution of answer column width behaved strange. I cannot believe that no one else complained about it before.
The solution above works.

TagsNo tags attached.
Complete LimeSurvey version number (& build)limesurvey4.3.16+200915
I will donate to the project if issue is resolvedNo
Sync to Zoho Project
BrowserFirefox, Chrome, etc.
Database & DB-VersionMySQL
Server OS (if known)CentOS
Webserver software & version (if known)Apache/2.4.6
PHP Version7.2.32

Relationships

has duplicate 16078 new subqestion_width does not divide colum width 

Activities

cdorin

cdorin

2020-09-18 15:33

manager   ~59877

Hey there and thanks for providing the solution!

Would you like to make a PR to master branch? Link: https://github.com/LimeSurvey/LimeSurvey .

Once done, please leave a comment here and I can check the fix :)

Thanks for help!

marcusx

marcusx

2020-09-18 15:58

reporter   ~59879

Done.
https://github.com/LimeSurvey/LimeSurvey/pull/1597

cdorin

cdorin

2020-09-18 16:55

manager   ~59882

hey @marcusx, would it be possible to submit the problematic .lss / .lsq file to allow QA to easily test it? Thx for providing the fix!

P.s. were you able to reproduce it in LS 3 (LTS) as well ?

eddylackmann

eddylackmann

2020-10-19 20:11

administrator   ~60278

Fix committed to master branch: http://bugs.limesurvey.org/plugin.php?page=Source/view&id=30630

lime_release_bot

lime_release_bot

2020-10-26 08:16

administrator   ~60403

Fixed in Release 4.3.23+201026

Related Changesets

LimeSurvey: master 982e542d

2020-10-19 19:58:16

nadnx


Committer: eddylackmann Details Diff
Fixed issue 16674: Array Type:F: Column width falsely calculated

Replaced getQuestionCount with getAnswerCount (Line 93)
Affected Issues
16674
mod - application/core/QuestionTypes/ArrayFlexibleRow/RenderArrayFlexibleRow.php Diff File

Issue History

Date Modified Username Field Change
2020-09-18 11:44 marcusx New Issue
2020-09-18 15:33 cdorin Assigned To => cdorin
2020-09-18 15:33 cdorin Status new => feedback
2020-09-18 15:33 cdorin Note Added: 59877
2020-09-18 15:58 marcusx Note Added: 59879
2020-09-18 15:58 marcusx Status feedback => assigned
2020-09-18 16:55 cdorin Note Added: 59882
2020-10-19 13:04 vharris Status assigned => closed
2020-10-19 18:44 cdorin Relationship added has duplicate 16078
2020-10-19 18:45 cdorin Status closed => resolved
2020-10-19 20:11 eddylackmann Changeset attached => LimeSurvey master 982e542d
2020-10-19 20:11 eddylackmann Note Added: 60278
2020-10-19 20:11 eddylackmann Assigned To cdorin => eddylackmann
2020-10-19 20:11 eddylackmann Resolution open => fixed
2020-10-26 08:16 lime_release_bot Note Added: 60403
2020-10-26 08:16 lime_release_bot Status resolved => closed